@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');

:root {
    --primary-color: #1363cb;
}

/* base styles */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html,
body {
    font-family: 'Poppins', sans-serif;
    height: 100%;
}

h1 {
    font-size: 30px;
    font-weight: 500;
}

p {
    margin: 20px 0 10px;
    font-size: 1.1rem;
}

.bg-image {
    background-image: url("../img/home-bg.jpg");
    filter: blur(3px);
    -webkit-filter: blur(3px);
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.home-text {
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
    color: white;
    border: 3px solid #f1f1f1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 80%;
    padding: 20px;
    text-align: center;
}

/* button */
.btn {
    cursor: pointer;
    display: inline-block;
    color: #fff;
    text-decoration: none;
    padding: 10px 30px;
    margin: 20px 0;
    border: 0;
}

.btn:hover {
    transform: scale(0.98);
}

/* logo */
.logo {
    position: absolute;
    top: 30px;
    left: 100px;
    font-size: 2rem;
    font-weight: 700;
    z-index: 20;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    /*-webkit-text-stroke: 2px green; width and color */
    display: block;
}

.logo.disactive {
    display: none;
}

.logo-nav {
    position: absolute;
    top: 30px;
    left: 100px;
    font-size: 2rem;
    font-weight: 700;
    z-index: 100;
    color: #111;
    display: none;
}

.logo-nav.active {
    display: block;
}

/* toggle */
.toggle {
    position: fixed;
    top: 0;
    right: 0;
    width: 60px;
    height: 60px;
    background-size: 30px;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 20;
    cursor: pointer;
}

.toggle.active {
    background-size: 25px;
    background-position: center;
    background-repeat: no-repeat;
}

.toggle-icon.fa-solid.fa-bars {
    position: absolute;
    top: 30px;
    font-size: 2rem;
    font-weight: 700;
    z-index: 20;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.toggle-icon.fa-solid.fa-times {
    position: absolute;
    top: 30px;
    font-size: 2rem;
    font-weight: 700;
    z-index: 20;
}

/* navigation */
.navigation {
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 15;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation.active {
    left: 0;
}

.navigation ul {
    position: relative;
}

.navigation ul li {
    position: relative;
    list-style: none;
    text-align: center;
}

.navigation ul li a {
    font-size: 2.2rem;
    color: #111;
    text-decoration: none;
    font-weight: 300;
}

.navigation ul li a:hover {
    color: var(--primary-color);
}

.navigation .social-bar {
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation .social-bar a {
    display: inline-block;
    transform: scale(0.5);
}

/*.navigation .social-bar a .fa-facebook-f:hover {
    color: #1773EA;
}

.navigation .social-bar a .fa-twitter:hover {
    color: #1C9CEA;
}

.navigation .social-bar a .fa-instagram:hover {
    color: #B32E87;
}*/

.navigation .social-bar .email-icon {
    position: absolute;
    bottom: 20px;
    transform: scale(0.5);
    color: #111;
}

.navigation .social-bar .email-icon:hover {
    color: #464a4f;
}

/* media queries */

/* S: smartphones */
@media only screen and (min-width: 600px) and (max-width: 767px) {}

/* M: tablets */
@media only screen and (min-width: 768px) and (max-width: 991px) {}

/* L: laptops */
@media only screen and (min-width: 992px) and (max-width: 1199px) {}

/* XL: desktops */
@media only screen and (min-width: 1200px) and (max-width: 1399px) {}

/* XXL: larger desktops */
@media only screen and (min-width: 1400px) {}